Bug 347191 - Port ImageMagick to use NSS library for cryptography
Port ImageMagick to use NSS library for cryptography
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:19 EDT by Peter Vrabec
Modified: 2011-06-24 01:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 01:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:19:04 EDT
ImageMagick should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Fedora Admin XMLRPC Client 2009-04-13 13:38:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Hans de Goede 2009-08-10 04:48:02 EDT
I'm sorry but given my other Fedora / RH tasks I do not have the time necessary to keep ImageMagick in good shape. So I'm re-assigning this to
Pavel Alexeev who has been so kind to take over ImageMagick maintainance from me.
Comment 3 Pavel Alexeev 2009-08-10 07:22:37 EDT
(In reply to comment #0)
> See the tracking bug for details and links on how it could be done.  
Excuse me, can you be more precise? Where I should see and why/what do?
Comment 4 Pavel Alexeev 2010-05-04 05:24:55 EDT
Ping.

I'll close bug if no answer achieved in week.
Comment 5 Tomas Mraz 2010-05-04 05:47:30 EDT
Does the ImageMagick contain any security related crypto algorithm usage? I see there is SHA-256 implementation in the sources - this is not too clever given that all the current crypto libraries contain this implementation, but if it is not used in security relevant context it probably does not matter if it stays as is. What is the purpose of the SignatureImage() function?
Comment 6 Pavel Alexeev 2010-05-04 06:02:32 EDT
Absolutely have no even idea. I only maintain ImageMagick in Fedora, I am not upstream developer. I think such questions should be addressed upper.

Note You need to log in before you can comment on or make changes to this bug.